package com.benyanyi.bootstrap;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.text.TextUtils;

/**
 * @author DELL
 * @date 2023/2/14 13:32
 * @user yangjiewei
 * @email ben@yanyi.red
 * @overview 开机自启广播
 */
public class BenReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED)) {
            String packageName = ShareUtil.getInstance().getShaString(context, ShareUtil.KEY, "");
            if (TextUtils.isEmpty(packageName) && packageName.equalsIgnoreCase("null")) {
                PackageManager packageManager = context.getPackageManager();
                Intent newIntent = packageManager.getLaunchIntentForPackage(packageName);
                newIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                context.startActivity(newIntent);
            }
        }
    }
}
